> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Show card purchase document by end to end id

> Show card purchase document by end to end id



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cards/purchases/e2e/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/purchases/e2e/{id}:
    get:
      tags:
        - cards
      summary: Show card purchase document by end to end id
      description: 'Show card purchase document by end to end id '
      operationId: TrioFoundationWeb.Banking.Card.PurchaseController.show_by_end_to_end_id
      parameters:
        - description: End to End ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/EndToEndId'
        - description: Timestamp
          in: query
          name: timestamp
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Purchase_Document_response'
          description: Document
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    EndToEndId:
      description: Unique identifier for transactions
      example: EE202506111406IVIN5pXVoyp
      title: EndToEndId
      type: string
    Purchase_Document_response:
      description: Purchase Document response
      example:
        data:
          receipt_url: https://app.trio.com.br/receipt/0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          is_partially_allowed: false
          holder_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          stages:
            - is_partially_allowed: false
              holder_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              inserted_at: '2021-01-01T00:00:00Z'
              wallet_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              entity_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              issuer_amount:
                amount: 10000
                currency: BRL
              category_type: restaurants
              tax:
                amount: 10
                currency: BRL
              merchant_country_code: BR
              card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              category_code: foodAndBeverages
              method_code: manual
              company_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              status: confirmed
              updated_at: '2021-01-01T00:00:00Z'
              description: description
              id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              purpose: purchase
              merchant_amount:
                amount: 10000
                currency: BRL
              purchase_document_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              merchant_currency_symbol: R$
              zip_code: 000000-000
              merchant_name: John Doe Store
              category_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              callback_amount:
                amount: 10000
                currency: BRL
              error_code: 'null'
              error_message: 'null'
              end_to_end_id: EE202506111406IVIN5pXVoyp
              timestamp: '2021-01-01T00:00:00Z'
              callback_type: approved
              org_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
              amount:
                amount: 10000
                currency: BRL
              score: '1.0'
              merchant_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          inserted_at: '2021-01-01T00:00:00Z'
          wallet_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          entity_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          issuer_amount:
            amount: 10000
            currency: BRL
          category_type: restaurants
          tax:
            amount: 10
            currency: BRL
          merchant_country_code: BR
          card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          category_code: foodAndBeverages
          method_code: manual
          company_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          status: confirmed
          updated_at: '2021-01-01T00:00:00Z'
          description: description
          id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          purpose: purchase
          merchant_amount:
            amount: 10000
            currency: BRL
          merchant_currency_symbol: R$
          zip_code: 000000-000
          merchant_name: John Doe Store
          category_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          error_code: 'null'
          error_message: 'null'
          end_to_end_id: EE202506111406IVIN5pXVoyp
          timestamp: '2021-01-01T00:00:00Z'
          org_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
          compress_timestamp: '2021-01-01T00:00:00Z'
          amount:
            amount: 10000
            currency: BRL
          score: '1.0'
          merchant_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
      properties:
        data:
          $ref: '#/components/schemas/Card_Purchase_Document_with_Stages'
      title: Purchase Document response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Card_Purchase_Document_with_Stages:
      allOf:
        - $ref: '#/components/schemas/Card_Purchase_Document'
        - properties:
            stages:
              description: Stages of the purchase document
              items:
                $ref: '#/components/schemas/Purchase_Document_Stage'
              type: array
          type: object
      description: A Card Purchase Document with Stages
      example:
        receipt_url: https://app.trio.com.br/receipt/0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        is_partially_allowed: false
        holder_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        stages:
          - is_partially_allowed: false
            holder_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            inserted_at: '2021-01-01T00:00:00Z'
            wallet_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            entity_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            issuer_amount:
              amount: 10000
              currency: BRL
            category_type: restaurants
            tax:
              amount: 10
              currency: BRL
            merchant_country_code: BR
            card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            category_code: foodAndBeverages
            method_code: manual
            company_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            status: confirmed
            updated_at: '2021-01-01T00:00:00Z'
            description: description
            id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            purpose: purchase
            merchant_amount:
              amount: 10000
              currency: BRL
            purchase_document_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            merchant_currency_symbol: R$
            zip_code: 000000-000
            merchant_name: John Doe Store
            category_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            callback_amount:
              amount: 10000
              currency: BRL
            error_code: 'null'
            error_message: 'null'
            end_to_end_id: EE202506111406IVIN5pXVoyp
            timestamp: '2021-01-01T00:00:00Z'
            callback_type: approved
            org_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            amount:
              amount: 10000
              currency: BRL
            score: '1.0'
            merchant_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        inserted_at: '2021-01-01T00:00:00Z'
        wallet_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        entity_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        issuer_amount:
          amount: 10000
          currency: BRL
        category_type: restaurants
        tax:
          amount: 10
          currency: BRL
        merchant_country_code: BR
        card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        category_code: foodAndBeverages
        method_code: manual
        company_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        status: confirmed
        updated_at: '2021-01-01T00:00:00Z'
        description: description
        id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        purpose: purchase
        merchant_amount:
          amount: 10000
          currency: BRL
        merchant_currency_symbol: R$
        zip_code: 000000-000
        merchant_name: John Doe Store
        category_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        error_code: 'null'
        error_message: 'null'
        end_to_end_id: EE202506111406IVIN5pXVoyp
        timestamp: '2021-01-01T00:00:00Z'
        org_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        compress_timestamp: '2021-01-01T00:00:00Z'
        amount:
          amount: 10000
          currency: BRL
        score: '1.0'
        merchant_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
      title: Card Purchase Document with Stages
    Card_Purchase_Document:
      description: A Card Purchase Document
      example:
        receipt_url: https://app.trio.com.br/receipt/0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        is_partially_allowed: false
        holder_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        inserted_at: '2021-01-01T00:00:00Z'
        wallet_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        entity_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        issuer_amount:
          amount: 10000
          currency: BRL
        category_type: restaurants
        tax:
          amount: 10
          currency: BRL
        merchant_country_code: BR
        card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        category_code: foodAndBeverages
        method_code: manual
        company_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        status: confirmed
        updated_at: '2021-01-01T00:00:00Z'
        description: description
        id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        purpose: purchase
        merchant_amount:
          amount: 10000
          currency: BRL
        merchant_currency_symbol: R$
        zip_code: 000000-000
        merchant_name: John Doe Store
        category_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        error_code: 'null'
        error_message: 'null'
        end_to_end_id: EE202506111406IVIN5pXVoyp
        timestamp: '2021-01-01T00:00:00Z'
        org_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        compress_timestamp: '2021-01-01T00:00:00Z'
        amount:
          amount: 10000
          currency: BRL
        score: '1.0'
        merchant_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
      properties:
        receipt_url:
          description: URL to the receipt
          type: string
        is_partially_allowed:
          description: Is partially allowed
          type: boolean
        holder_id:
          description: Holder identifier
          format: uuid
          type: string
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        wallet_id:
          description: Wallet identifier
          type: string
        entity_id:
          description: Entity identifier
          format: uuid
          type: string
        issuer_amount:
          description: Issuer amount value of the document
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        category_type:
          description: Category type
          type: string
        tax:
          description: Tax value of the document
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        merchant_country_code:
          description: Merchant country code
          type: string
        card_id:
          description: Card identifier
          format: uuid
          type: string
        category_code:
          description: Category code
          type: string
        method_code:
          description: Method code
          enum:
            - unknown
            - manual
            - magstripe
            - barcode
            - ocr
            - chip
            - contactless
            - token
            - server
          type: string
        company_id:
          description: Company identifier
          format: uuid
          type: string
        status:
          description: Status
          enum:
            - authorized
            - approved
            - denied
            - confirmed
            - canceled
            - reversed
            - voided
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
        description:
          description: Description
          type: string
        id:
          description: Unique identifier
          format: uuid
          type: string
        purpose:
          description: Purpose
          type: string
        merchant_amount:
          description: Merchant amount value of the document
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        merchant_currency_symbol:
          description: Merchant currency symbol
          type: string
        zip_code:
          description: Zip code
          type: string
        merchant_name:
          description: Merchant name
          type: string
        category_id:
          description: Category identifier
          format: uuid
          type: string
        error_code:
          description: Error code
          type: string
        error_message:
          description: Error message
          type: string
        end_to_end_id:
          description: End to end identifier
          type: string
        timestamp:
          description: Timestamp
          format: date-time
          type: string
        org_id:
          description: Organization identifier
          format: uuid
          type: string
        compress_timestamp:
          description: Compress timestamp
          format: date-time
          type: string
        amount:
          description: Amount value of the document
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        score:
          description: Score
          type: string
        merchant_id:
          description: Merchant identifier
          format: uuid
          type: string
      title: Card Purchase Document
      type: object
    Purchase_Document_Stage:
      description: Stage of the purchase document
      example:
        is_partially_allowed: false
        holder_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        inserted_at: '2021-01-01T00:00:00Z'
        wallet_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        entity_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        issuer_amount:
          amount: 10000
          currency: BRL
        category_type: restaurants
        tax:
          amount: 10
          currency: BRL
        merchant_country_code: BR
        card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        category_code: foodAndBeverages
        method_code: manual
        company_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        status: confirmed
        updated_at: '2021-01-01T00:00:00Z'
        description: description
        id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        purpose: purchase
        merchant_amount:
          amount: 10000
          currency: BRL
        purchase_document_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        merchant_currency_symbol: R$
        zip_code: 000000-000
        merchant_name: John Doe Store
        category_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        callback_amount:
          amount: 10000
          currency: BRL
        error_code: 'null'
        error_message: 'null'
        end_to_end_id: EE202506111406IVIN5pXVoyp
        timestamp: '2021-01-01T00:00:00Z'
        callback_type: approved
        org_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        amount:
          amount: 10000
          currency: BRL
        score: '1.0'
        merchant_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
      properties:
        is_partially_allowed:
          description: Is partially allowed
          type: boolean
        holder_id:
          description: Holder identifier
          format: uuid
          type: string
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        wallet_id:
          description: Wallet identifier
          type: string
        entity_id:
          description: Entity identifier
          format: uuid
          type: string
        issuer_amount:
          description: Issuer amount value of the stage
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        category_type:
          description: Category type
          type: string
        tax:
          description: Tax value of the stage
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        merchant_country_code:
          description: Merchant country code
          type: string
        card_id:
          description: Card identifier
          format: uuid
          type: string
        category_code:
          description: Category code
          type: string
        method_code:
          description: Method code
          enum:
            - unknown
            - manual
            - magstripe
            - barcode
            - ocr
            - chip
            - contactless
            - token
            - server
          type: string
        company_id:
          description: Company identifier
          format: uuid
          type: string
        status:
          description: Status
          enum:
            - authorized
            - approved
            - denied
            - confirmed
            - canceled
            - reversed
            - voided
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
        description:
          description: Description
          type: string
        id:
          description: Unique identifier
          format: uuid
          type: string
        purpose:
          description: Purpose
          type: string
        merchant_amount:
          description: Merchant amount value of the stage
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        purchase_document_id:
          description: Purchase document identifier
          format: uuid
          type: string
        merchant_currency_symbol:
          description: Merchant currency symbol
          type: string
        zip_code:
          description: Zip code
          type: string
        merchant_name:
          description: Merchant name
          type: string
        category_id:
          description: Category identifier
          format: uuid
          type: string
        callback_amount:
          description: Callback amount value of the stage
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        error_code:
          description: Error code
          type: string
        error_message:
          description: Error message
          type: string
        end_to_end_id:
          description: Unique identifier for transactions
          example: EE202506111406IVIN5pXVoyp
          title: EndToEndId
          type: string
        timestamp:
          description: Timestamp
          format: date-time
          type: string
        callback_type:
          description: Callback type
          enum:
            - authorization
            - approved
            - denied
            - canceled
            - reversed
            - voided
            - confirmed
          type: string
        org_id:
          description: Organization identifier
          format: uuid
          type: string
        amount:
          description: Amount value of the stage
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        score:
          description: Score
          type: string
        merchant_id:
          description: Merchant identifier
          format: uuid
          type: string
      title: Purchase Document Stage
      type: object

````